SpareSpare Docs
GuidesAPI Reference

Common Verification

Combined retail and corporate account verification.

POST
/api/v2.0/av/CommonVerification/Match
Authorization
Body
*object

Request Body

application/json

The model containing the IBAN and ID for verification, along with any other necessary information. It also includes details for retrieving the associated beneficiary name.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/CommonVerification/Match" \  -H "Content-Type: application/json" \  -d '{    "iban": "string",    "idValue": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "requestId": "string",    "inputBeneficiaryName": "string",    "accountStatus": "string",    "accountIdentifier": "string",    "result": "MATCH",    "bank": {      "englishName": "string",      "arabicName": "string",      "bankCode": "string",      "swiftCode": "string"    },    "errorDescription": "string",    "idType": "NATIONAL_ID",    "idValue": "string",    "beneficiaryName": "string",    "executionDate": "2019-08-24T14:15:22Z"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
POST
/api/v2.0/av/CommonVerification/Corporate
Authorization
Body
*object

Request Body

application/json

The model containing the corporate verification request details with beneficiary information. This includes the IBAN, CR, UNN, and beneficiary name to be validated in this operation.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/CommonVerification/Corporate" \  -H "Content-Type: application/json" \  -d '{    "iban": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "requestId": "string",    "inputBeneficiaryName": "string",    "accountStatus": "string",    "result": "MATCH",    "bank": {      "englishName": "string",      "arabicName": "string",      "bankCode": "string",      "swiftCode": "string"    },    "errorDescription": "string",    "idType": "NATIONAL_ID",    "idValue": "string",    "beneficiaryName": "string",    "executionDate": "2019-08-24T14:15:22Z"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty